.myNavBar {
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
  .collapse {
    .form-inline {
      .product__search {
        position: relative;
        .product__search__input {
          width: 350px;
          &:focus {
            border-color: #27496a;
            border-color: #27496a;
          }
        }
        .product__search__content {
          position: absolute;
          left: 0;
          top: 100%;
          width: 100%;
          height: 150px;
          border: 1.5px solid rgba(0, 0, 0, 0.125);
          border-radius: 3px;
          display: none;
          box-shadow: 0 2px 10px rgba(0, 0, 0, 0.18);
          background-color: #fff;
          overflow-y: auto;
          overflow-x: hidden;
          &::-webkit-scrollbar {
            width: 4px;
            background-color: #e9e9e9;
          }
          &::-webkit-scrollbar-thumb {
            box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
            border-radius: 500px;
          }
          &::-webkit-scrollbar-track {
            border-radius: 10px;
          }
          z-index: 2;
          .search__content__item {
            padding: 10px 0;
            background-color: #fff;
            border-bottom: 1px solid rgba(0, 0, 0, 0.125);
            cursor: pointer;
            position: relative;
            overflow: hidden !important;
            &:hover {
              .search__content__item__overlay {
                opacity: 1;
                transform: translateX(0%);
              }
              button {
                opacity: 1;
                transform: translate(-50%, -50%) scale(0.9);
              }
            }
            .search__content__item__img {
              img {
                display: block;
                width: 50px;
              }
            }
            .search__content__item__name {
              display: flex;
              justify-content: center;
              align-items: center;
              height: 100%;
              position: absolute;
              h5 {
                color: #27496a;
                display: block;
              }
            }
            .search__content__item__overlay {
              position: absolute;
              top: 0;
              bottom: 0;
              left: 0;
              right: 0;
              background-color: rgba(39, 73, 106, 0.6);
              transform: translateX(-120%);
              transition: ease-in-out 0.4s;
            }
            button {
              position: absolute;
              top: 50%;
              left: 50%;
              transform: translate(-50%, -50%) scale(0.7);
              opacity: 0;
              transition: all 0.5s;
              background-color: #fff;
              border-color: #27496a;
              color: #27496a;
              &:hover {
                background-color: #27496a;
                color: #fff;
              }
            }
          }
        }
      }
      .product__btn {
        border-color: #27496a;
        color: #27496a;
        &:hover {
          background-color: #27496a;
          color: #fff;
        }
        // &:active {
        //   background-color: #27496a;
        //   border-color: #27496a;
        //   box-shadow: none;
        // }
      }
    }
    .product__cart__icon {
      .btnCart {
        border: none;
        outline: none;
        width: 50px;
        height: 50px;
        border-radius: 5px;
        background: none;
        background-color: #fff;
        transition: all 0.4s;
        &:hover {
          background-color: #27496a;
          i {
            color: #fff;
          }
        }
        i {
          font-size: 25px;
          color: #27496a;
          transition: all 0.4s;
        }
      }
    }
    .modalCart {
      .modal-dialog {
        max-width: 60%;
        .modal-content {
          height: 500px;
          overflow-y: auto;
          &::-webkit-scrollbar {
            width: 6px;
            background-color: #e9e9e93f;
          }
          &::-webkit-scrollbar-thumb {
            box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
            border-radius: 500px;
          }
          &::-webkit-scrollbar-track {
            border-radius: 10px;
          }
          .modal-header {
            .modal-title {
              color: #27496a;
            }
          }
          .modal-body {
            .product__cart {
              .product__cart__item {
                .product__cart__item__cancel {
                  button {
                    transition: all 0.3s;
                    &:hover {
                      transform: translateY(-10%);
                    }
                  }
                }
                .product__cart__item__change {
                  button {
                    transition: all 0.3s;
                    &:hover {
                      transform: translateY(-10%);
                    }
                  }
                }
                .cart__item {
                  padding: 10px 0;
                  height: 100%;
                  display: flex;
                  justify-content: center;
                  align-items: center;
                }
              }
            }
          }
          .modal-footer {
            border: none;
          }
        }
      }
    }
  }
}
